- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Hello!
I am not able to find out how to set "Create new bodies" for a sketch driven patter via API.
I have tried the following without success:
'add solid to collection
Dim colSolid, As ObjectCollection
Set colSolid, = ThisApplication.TransientObjects.CreateObjectCollection
colSolid,.Add oShell.SurfaceBodies.Item(1)
'sketch pattern
Dim oPtnDef As SketchDrivenPatternDefinition
Set oPtnDef = oPartDef.Features.SketchDrivenPatternFeatures.CreateDefinition(colSolid, oSketch)
oPtnDef.Operation = kNewBodyOperation
Dim oPtn As SketchDrivenPatternFeature
Set oPtn = oPartDef.Features.SketchDrivenPatternFeatures.Add(oPtnDef)
Any suggestion where I do mistake?
Thank you!
Best regards
Jiri
Solved! Go to Solution.
Link copied